Skip to main content
PATCH
/
v1
/
webhooks
/
{webhook_id}
Update Webhook
curl --request PATCH \
  --url https://api.example.com/v1/webhooks/{webhook_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "enabled": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://acme-3f0e8fe2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Path Parameters

webhook_id
string<uuid>
required

Body

application/json
url
string<uri> | null
Required string length: 1 - 2083
events
string[] | null
enabled
boolean | null

Response

Successful Response

id
string<uuid>
required
org_id
string<uuid>
required
url
string
required
events
string[]
required
enabled
boolean
required
created_at
string<date-time>
required